<script src="./Script.js"></script>

<template>
  <select
    class="form-control"
    v-if="data.length > 0"
    :value="value"
    @input="$emit('input', $event.target.value ? parseInt($event.target.value) : '');"
    @change="$emit('change', $event.target.value ? parseInt($event.target.value) : '');"
    @blur="$emit('blur', $event.target.value ? parseInt($event.target.value) : '');"

  >
    <option value>--Lựa chọn--</option>
    <option
      v-for="(item, index) in data"
      :value="item[option_value]"
      :key="index"
    >{{ item[label] | truncateWords }}</option>
  </select>
</template>
